Page MenuHomePhabricator

Port RevisionSlider Selenium tests from Ruby to Node.js
Closed, ResolvedPublic

Description

Motivation
Right now, most of the RevisionSlider Selenium tests are written in Ruby. However, it was decided to use Node.js for selenium tests.

Task
This still needs to be done for the remaining RevisionSlider Ruby tests. The basic setup for the Node.js tests is already there and was added in 499855
Note
See T180246: Port ElectronPdfService Selenium tests from Ruby to Node.js for an example where the tests were already ported

TODO

See subtasks of this ticket that reflect the features that need to be ported.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptNov 10 2017, 4:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Medium priority.Dec 18 2017, 11:21 AM
Lea_WMDE moved this task from Incoming to volunteer tasks on the Revision-Slider board.
Lea_WMDE updated the task description. (Show Details)Mar 16 2018, 12:07 PM
zeljkofilipin lowered the priority of this task from Medium to Low.Jun 29 2018, 4:50 PM

Change 443113 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/RevisionSlider@master] WIP The first sample Selenium test in Node.js

https://gerrit.wikimedia.org/r/443113

zeljkofilipin removed zeljkofilipin as the assignee of this task.Jun 29 2018, 4:51 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 443113 abandoned by Zfilipin:
WIP The first sample Selenium test in Node.js

Reason:
No activity in months.

https://gerrit.wikimedia.org/r/443113

awight moved this task from Sprint Backlog to Watching on the WMDE-QWERTY-Sprint-2020-11-04 board.

Change 639743 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/RevisionSlider@master] Compatibility with standalone chromedriver

https://gerrit.wikimedia.org/r/639743

Change 639743 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Compatibility with standalone chromedriver

https://gerrit.wikimedia.org/r/639743

Change 641414 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/RevisionSlider@master] Remove leftovers from Ruby selenium tests

https://gerrit.wikimedia.org/r/641414

Change 641415 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[integration/config@master] Stop running Ruby selenium test for RevisionSlider

https://gerrit.wikimedia.org/r/641415

Change 641415 merged by jenkins-bot:
[integration/config@master] Stop running Ruby selenium test for RevisionSlider

https://gerrit.wikimedia.org/r/641415

Change 641414 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Remove leftovers from Ruby selenium tests

https://gerrit.wikimedia.org/r/641414

WMDE-Fisch closed this task as Resolved.Wed, Nov 18, 11:28 AM
WMDE-Fisch removed a project: Patch-For-Review.
WMDE-Fisch added a subscriber: WMDE-Fisch.

All done here \o/